﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Platform.Mail
{
    public interface IEmailService
    {
        /// <summary>
        /// Send e-mail message
        /// </summary>
        /// <param name="email"></param>
        /// <param name="subject"></param>
        /// <param name="message"></param>
        /// <param name="html"></param>
        /// <returns></returns>
        Task SendEmailAsync( string username, string email, string subject, string message, string html );
    }
}
